#!/bin/sh

echo "BIXOLON CO Ltd"
echo "BIXOLON Label CUPS DRIVER v1.1.3 Installer"
echo "---------------------------------------"
echo ""
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

echo "Copying rastertoBxlLabel_v1.1.3 filter..."

LINUX_CHECK="$(cat /etc/*-release | grep -ic gentoo)"
NO_GENTOO=0

if [ ${LINUX_CHECK} = ${NO_GENTOO} ]
then
LIBPATH="lib"
else
LIBPATH="libexec"
fi

 sudo chmod +x rastertoBxlLabel_v1.1.3
 sudo cp ./rastertoBxlLabel_v1.1.3 /usr/bin/
 sudo chmod 0755 /usr/bin/rastertoBxlLabel_v1.1.3
echo ""

echo "Creating Symbolic Link...."
  sudo ln -s /usr/bin/rastertoBxlLabel_v1.1.3 /usr/${LIBPATH}/cups/filter/rastertoBxlLabel
  sudo chmod 0755 /usr/${LIBPATH}/cups/filter/rastertoBxlLabel
echo ""

echo "Copying model ppd files... "
   sudo chmod +x ./Bixolon/*


if [ -x /etc/init.d/cupsys ]
then
	if [ -r /etc/debian_version ]
	then
		if [ -r /etc/lsb-release ]
		then
             sudo cp -r ./Bixolon /usr/share/cups/model/
			 sudo chmod 0755 /usr/share/cups/model/Bixolon/*
		else
             sudo cp ./Bixolon /usr/share/ppd/ 
			 sudo chmod 0755 /usr/share/ppd/Bixolon/*
		fi
	else
         sudo cp -r ./Bixolon /usr/share/cups/model/
         sudo chmod 0755 /usr/share/cups/model/Bixolon/*
	fi
else
	if [ -r /etc/debian_version ]
	then
         sudo cp -r ./Bixolon /usr/share/cups/model/
         sudo chmod 0755 /usr/share/cups/model/Bixolon/*
	else
         sudo cp -r ./Bixolon /usr/share/cups/model/
         sudo chmod 0755 /usr/share/cups/model/Bixolon/*
	fi
fi 
echo ""

echo "Restarting CUPS"
    if [ -x /etc/software/init.d/cups ]
    then
        sudo /etc/software/init.d/cups stop
        sudo /etc/software/init.d/cups start
    elif [ -x /etc/rc.d/init.d/cups ]
    then
        sudo /etc/rc.d/init.d/cups stop
        sudo /etc/rc.d/init.d/cups start
    elif [ -x /etc/init.d/cups ]
    then
        sudo /etc/init.d/cups stop
        sudo /etc/init.d/cups start
    elif [ -x /sbin/init.d/cups ]
    then
        sudo /sbin/init.d/cups stop
        sudo /sbin/init.d/cups start
    elif [ -x /etc/software/init.d/cupsys ]
    then
        sudo /etc/software/init.d/cupsys stop
        sudo /etc/software/init.d/cupsys start
    elif [ -x /etc/rc.d/init.d/cupsys ]
    then
        sudo /etc/rc.d/init.d/cupsys stop
        sudo /etc/rc.d/init.d/cupsys start
    elif [ -x /etc/init.d/cupsys ]
    then
        sudo /etc/init.d/cupsys stop
        sudo /etc/init.d/cupsys start
    elif [ -x /sbin/init.d/cupsys ]
    then
        sudo /sbin/init.d/cupsys stop
        sudo /sbin/init.d/cupsys start
    else
        echo "Could not restart CUPS"
    fi
    sudo service cups stop
    sudo service cups start
    echo ""


echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

